Skip to content

Search Entities

Request

Search organizations, agencies or advertisers by name

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
limitinteger, <= 1000

number of elements in the collection to retrieve

Default:10
namestringrequired

search term

active_onlyboolean

only show active entities

terminatedboolean

show terminated entities

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/search?limit=10&name=string&active_only=true&terminated=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Search result

Bodyapplication/json
dataobject
metaobject(pagination metadata)
Response
{ "data": { "organizations": [ … ], "agencies": [ … ], "advertisers": [ … ] }, "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }